libcdr::CDRStylesCollector Class Reference documentation

libcdr::CDRStylesCollector Class Reference

`#include <CDRStylesCollector.h>`

Inheritance diagram for libcdr::CDRStylesCollector:

## Public Member Functions
| CDRStylesCollector (CDRParserState &ps)
| ~CDRStylesCollector () override
void | collectPage (unsigned level) override
void | collectObject (unsigned) override
void | collectGroup (unsigned) override
void | collectVect (unsigned) override
void | collectOtherList () override
void | collectPath (const CDRPath &) override
void | collectLevel (unsigned) override
void | collectTransform (const CDRTransforms &, bool) override
void | collectFillStyle (unsigned id, const CDRFillStyle &fillStyle) override
void | collectFillStyleId (unsigned) override
void | collectLineStyle (unsigned id, const CDRLineStyle &lineStyle) override
void | collectLineStyleId (unsigned) override
void | collectRotate (double, double, double) override
void | collectFlags (unsigned, bool) override
void | collectPageSize (double width, double height, double offsetX, double offsetY) override
void | collectPolygonTransform (unsigned, unsigned, double, double, double, double) override
void | collectBitmap (unsigned, double, double, double, double) override
void | collectBmp (unsigned imageId, unsigned colorModel, unsigned width, unsigned height, unsigned bpp, const std::vector< unsigned > &palette, const std::vector< unsigned char > &bitmap) override
void | collectBmp (unsigned imageId, const std::vector< unsigned char > &bitmap) override
void | collectBmpf (unsigned patternId, unsigned width, unsigned height, const std::vector< unsigned char > &pattern) override
void | collectPpdt (const std::vector< std::pair< double, double > > &, const std::vector< unsigned > &) override
void | collectFillTransform (const CDRTransforms &) override
void | collectFillOpacity (double) override
void | collectPolygon () override
void | collectSpline () override
void | collectColorProfile (const std::vector< unsigned char > &profile) override
void | collectBBox (double, double, double, double) override
void | collectSpnd (unsigned) override
void | collectVectorPattern (unsigned, const librevenge::RVNGBinaryData &) override
void | collectPaletteEntry (unsigned colorId, unsigned userId, const CDRColor &color) override
void | collectText (unsigned textId, unsigned styleId, const std::vector< unsigned char > &data, const std::vector< unsigned char > &charDescriptions, const std::map< unsigned, CDRStyle > &styleOverrides) override
void | collectArtisticText (double, double) override
void | collectParagraphText (double, double, double, double) override
void | collectStld (unsigned id, const CDRStyle &style) override
void | collectStyleId (unsigned) override
Public Member Functions inherited from libcdr::CDRCollector
| CDRCollector ()
virtual | ~CDRCollector ()

## Private Member Functions
| CDRStylesCollector (const CDRStylesCollector &)
CDRStylesCollector & | operator= (const CDRStylesCollector &)

## Private Attributes
CDRParserState & | m_ps
CDRPage | m_page

## Constructor & Destructor Documentation

## ◆ CDRStylesCollector() [1/2]

libcdr::CDRStylesCollector::CDRStylesCollector | ( | libcdr::CDRParserState & | ps | ) |

Referenced by CDRStylesCollector(), and operator=().

## ◆ ~CDRStylesCollector()

libcdr::CDRStylesCollector::~CDRStylesCollector | ( |  | ) |
| override

## ◆ CDRStylesCollector() [2/2]

libcdr::CDRStylesCollector::CDRStylesCollector | ( | const CDRStylesCollector & |  | ) |
| private

## Member Function Documentation

## ◆ collectArtisticText()

void libcdr::CDRStylesCollector::collectArtisticText | ( | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectBBox()

void libcdr::CDRStylesCollector::collectBBox | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectBitmap()

void libcdr::CDRStylesCollector::collectBitmap | ( | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectBmp() [1/2]

void libcdr::CDRStylesCollector::collectBmp | ( | unsigned | imageId,
|  | const std::vector< unsigned char > & | bitmap )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectBmp() [2/2]

void libcdr::CDRStylesCollector::collectBmp | ( | unsigned | imageId,
|  | unsigned | colorModel,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | bpp,
|  | const std::vector< unsigned > & | palette,
|  | const std::vector< unsigned char > & | bitmap )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectBmpf()

void libcdr::CDRStylesCollector::collectBmpf | ( | unsigned | patternId,
|  | unsigned | width,
|  | unsigned | height,
|  | const std::vector< unsigned char > & | pattern )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectColorProfile()

void libcdr::CDRStylesCollector::collectColorProfile | ( | const std::vector< unsigned char > & | profile | ) |
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectFillOpacity()

void libcdr::CDRStylesCollector::collectFillOpacity | ( | double |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectFillStyle()

void libcdr::CDRStylesCollector::collectFillStyle | ( | unsigned | id,
|  | const CDRFillStyle & | fillStyle )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectFillStyleId()

void libcdr::CDRStylesCollector::collectFillStyleId | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectFillTransform()

void libcdr::CDRStylesCollector::collectFillTransform | ( | const CDRTransforms & |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectFlags()

void libcdr::CDRStylesCollector::collectFlags | ( | unsigned | ,
|  | bool | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectGroup()

void libcdr::CDRStylesCollector::collectGroup | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectLevel()

void libcdr::CDRStylesCollector::collectLevel | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectLineStyle()

void libcdr::CDRStylesCollector::collectLineStyle | ( | unsigned | id,
|  | const CDRLineStyle & | lineStyle )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectLineStyleId()

void libcdr::CDRStylesCollector::collectLineStyleId | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectObject()

void libcdr::CDRStylesCollector::collectObject | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectOtherList()

void libcdr::CDRStylesCollector::collectOtherList | ( |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPage()

void libcdr::CDRStylesCollector::collectPage | ( | unsigned | level | ) |
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPageSize()

void libcdr::CDRStylesCollector::collectPageSize | ( | double | width,
|  | double | height,
|  | double | offsetX,
|  | double | offsetY )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPaletteEntry()

void libcdr::CDRStylesCollector::collectPaletteEntry | ( | unsigned | colorId,
|  | unsigned | userId,
|  | const CDRColor & | color )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectParagraphText()

void libcdr::CDRStylesCollector::collectParagraphText | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPath()

void libcdr::CDRStylesCollector::collectPath | ( | const CDRPath & |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPolygon()

void libcdr::CDRStylesCollector::collectPolygon | ( |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPolygonTransform()

void libcdr::CDRStylesCollector::collectPolygonTransform | ( | unsigned | ,
|  | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectPpdt()

void libcdr::CDRStylesCollector::collectPpdt | ( | const std::vector< std::pair< double, double > > & | ,
|  | const std::vector< unsigned > & | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectRotate()

void libcdr::CDRStylesCollector::collectRotate | ( | double | ,
|  | double | ,
|  | double | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectSpline()

void libcdr::CDRStylesCollector::collectSpline | ( |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectSpnd()

void libcdr::CDRStylesCollector::collectSpnd | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectStld()

void libcdr::CDRStylesCollector::collectStld | ( | unsigned | id,
|  | const CDRStyle & | style )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectStyleId()

void libcdr::CDRStylesCollector::collectStyleId | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectText()

void libcdr::CDRStylesCollector::collectText | ( | unsigned | textId,
|  | unsigned | styleId,
|  | const std::vector< unsigned char > & | data,
|  | const std::vector< unsigned char > & | charDescriptions,
|  | const std::map< unsigned, CDRStyle > & | styleOverrides )
| overridevirtual

Implements libcdr::CDRCollector.

## ◆ collectTransform()

void libcdr::CDRStylesCollector::collectTransform | ( | const CDRTransforms & | ,
|  | bool | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectVect()

void libcdr::CDRStylesCollector::collectVect | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ collectVectorPattern()

void libcdr::CDRStylesCollector::collectVectorPattern | ( | unsigned | ,
|  | const librevenge::RVNGBinaryData & | )
| inlineoverridevirtual

Implements libcdr::CDRCollector.

## ◆ operator=()

CDRStylesCollector & libcdr::CDRStylesCollector::operator= | ( | const CDRStylesCollector & |  | ) |
| private

## Member Data Documentation

## ◆ m_page

CDRPage libcdr::CDRStylesCollector::m_page
| private

Referenced by CDRStylesCollector(), collectPage(), and collectPageSize().

## ◆ m_ps

CDRParserState& libcdr::CDRStylesCollector::m_ps
| private

Referenced by CDRStylesCollector(), collectBmp(), collectBmp(), collectBmpf(), collectColorProfile(), collectFillStyle(), collectLineStyle(), collectPage(), collectPageSize(), collectPaletteEntry(), collectStld(), and collectText().

The documentation for this class was generated from the following files:

- CDRStylesCollector.h
- CDRStylesCollector.cpp